import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter_netease_music/pages/home_page.dart';
import 'package:flutter_netease_music/routes.dart';

/// Description: enter point
/// Time       : 11/06/2023 Monday
/// Author     : liuyuqi.gov@msn.cn
void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const MyApp());
  if (Platform.isAndroid) {}
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      // navigatorKey: ,
      theme: ThemeData(
          brightness: Brightness.light,
          primaryColor: Colors.white,
          splashColor: Colors.transparent,
          tooltipTheme: TooltipThemeData(verticalOffset: -100000)),
      home: const HomePage(),
      // onGenerateRoute: Routes.generate,
    );
  }
}
